<ng-container *transloco="let t">
  <h2
    mat-dialog-title
    class="primary-title header-spacing">
    {{t('manage_forms.create_category_request')}}
  </h2>
  <form
    [formGroup]="requestForm"
    (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color column-container">
      <ng-container *ngFor="let category of ORGANIZATION_CATEGORIES">
        <p>
          <mat-checkbox
            [formControlName]="category"
            color="primary">
            {{'organization_categories.'+category|transloco}}
          </mat-checkbox>
        </p>
      </ng-container>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('general_forms.cancel')}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        [disabled]="requestForm.invalid"
        type="submit">
        {{t('general_forms.confirm')}}
      </button>
    </div>
  </form>
</ng-container>
